\name{aRTconn}
\docType{class}
\alias{aRT-class}
\alias{openConn}

\title{Class aRT}
\description{Class that stores a virtual DBMA connection and manipulates databases.}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{openConn(user, password, port, host)}.
}

\section{Arguments}{
  \describe{
  \item{user:}{User of the DBMA. The default is the name logged in the system.}
  \item{password:}{Password. The default is "".}
  \item{port:}{Port of the connection. The default value is 3306.}
  \item{host:}{Host to connect. The default is "localhost".}
  }
}

\section{Slots}{
  \describe{
    \item{\code{pointer}:}{An external pointer to a TerraLib object. DO NOT change it!}
  }
}

\section{Extends}{
Class \code{aRTcomponent}, directly.
}
\section{Methods}{
  \describe{
    \item{initialize:}{Initializer of aRT class.}
    \item{showDbs:}{Shows the databases available.}
	\item{deleteDb:}{Removes a database from the DBMS.}
	\item{openDb:}{Opens an existent database from the DBMS.}
	\item{createDb:}{Creates a new database and returns it.}
	\item{addUser:}{Grants ALL permissions on the DBMS to a user.}
  }
}
\references{\url{http://www.est.ufpr.br/aRT}}
\author{Marcos Aurelio Carrero and Pedro Ribeiro de Andrade Neto}

\seealso{
  See \code{aRT-METHOD} for a method of this class  or
      \code{CLASSNAME-class} for links to other classes.
}
\keyword{classes}
% vim: syntax=tex
