\name{aRTdb-class}
\docType{class}
\alias{aRTdb-class}
\alias{initialize,aRTdb-method}

\title{Class "aRTdb"}

\description{Class that manipulates a database. .}

\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("aRTdb", aRTobject, dbname, create=T)}.
}

\section{Slots}{
  \describe{
    \item{\code{pointer}:}{An external pointer to a TerraLib object. DO NOT change it!}
  }
}

\section{Extends}{
Class \code{aRTcomponent}, directly.
}

\section{Methods}{
  \describe{
	\item{createLayer:}{Creates a new layer returns it.}
    \item{createView:}{Creates an empty View in the database.}
    \item{deleteLayer:}{Delete a layer in the database.}
    \item{deleteTheme:}{Delete a theme in the database.}
    \item{deleteView:}{Delete a view in the database.}
    \item{initialize:}{Initializer of aRTdb class.}
    \item{importShape:}{Imports a shapefile to the database.}
 	\item{openLayer:}{Opens an existent layer.}
 	\item{openTheme:}{Opens an existent theme. (Themes can be created only from layers.)}
    \item{showLayers:}{Shows all the available layers.}
    \item{showThemes:}{Shows all the available themes.}
    \item{showViews:}{Show all the available views.}
	\item{summary:}{Some information about the database.}
  }
}

\references{\url{http://www.est.ufpr.br/aRT}}

\author{Marcos Aurelio Carrero and Pedro Ribeiro de Andrade Neto}

\keyword{database}
\note{Views are only destinate to TerraView users. It has no importance inside R.}
\keywords{database}
\seealso{
 See \code{aRTdb-METHOD} for a method of this class or
     \code{CLASSNAME-class} for links to other classes.
}

% vim: syntax=tex
