\name{aRTtheme}

\docType{class}

\alias{aRTtheme-class}
\alias{aRTtheme}
\alias{initialize,aRTtheme-method}
\alias{plot,aRTtheme-method}

\title{Class "aRTtheme"}
\description{Class that enables database queries with temporal and (or) attributes
restrictions. It can be created using the results of a spatial query, passing the
ids. Temporal queries are done creating an aRTquerier object from this object.

Themes in TerraLib have also visual aspects, as colors and lines styles. These
configurations are not used when an \code{aRTtheme} is created, besause this object
can be used only for processing. But there are functions to do this, for example
\code{setVisual} and \code{setVisible}.}

\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("aRTtheme", aRTlayer, themename)}.
To avoid creating objects this way, there are two functions of class \code{aRTlayer}:
\code{createTheme} and \code{openTheme}. \code{openTheme} is a function of class
\code{aRTdb} too.
}

\section{Arguments}{
  \describe{
  \item{layer:}{The layer where the theme is associated. Object of aRTlayer class.}
  \item{themename:}{The theme name. The default value is the Layer name.}
  \item{create:}{Creates a new theme when create=TRUE, and open a existing theme when create=FALSE. The default is create=FALSE.}
  \item{tables:}{The table(s) of the used layer.}
  \item{viewname:}{The view name. The default is the theme name.}
  }
}


\section{Slots}{
\describe{
    \item{\code{pointer}:}{An external pointer to a TerraLib object. DO NOT change it!}
  }
}

\section{Extends}{
Class \code{aRTcomponent}, directly.
}
\section{Methods}{
  \describe{
    \item{getAttributes:}{Do a query and return all.}
    \item{getBox:}{Returns the bounding box.}
    \item{getData:}{Returns all attributes and geometry of a layer.}
    \item{getGeometry:}{Returns all the geometry associated with the object.}
    \item{initialize:}{Initializer of aRTtheme class.}
    \item{setVisual:}{Sets the colors associated to a theme's geometry.}
	\item{setVisible:}{Changes the visibility of a theme (visible or not).}
  }
}

\references{\url{http://www.est.ufpr.br/aRT}}

\author{Marcos Aurelio Carrero and Pedro Ribeiro de Andrade Neto}
\keyword{classes}
\seealso{
 See \code{aRTtheme-METHOD} for a method of this class or \code{CLASSNAME-class} for links to other classes.
}
% vim: syntax=tex
