\name{aRTtheme-class}
\docType{class}
\alias{aRTtheme-class}
\alias{aRTtheme}
\alias{initialize,aRTtheme-method}

\title{Class "aRTtheme"}
\description{Class that enables database queries with temporal and (or) attributes
restrictions. It can be created using the results of a spatial query, passing the
ids. Temporal queries are done creating an aRTquerier object from this object.

Themes in TerraLib have also visual aspects, as colors and lines styles. These
configurations are not used when an \code{aRTtheme} is created, besause this object
can be used only for processing. But there are functions to do this, for example
\code{setVisual} and \code{setVisible}.}

\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("aRTtheme", aRTlayer, themename)}.
}

\section{Slots}{
\describe{
    \item{\code{pointer}:}{An external pointer to a TerraLib object. DO NOT change it!}
  }
}

\section{Extends}{
Class \code{aRTcomponent}, directly.
}
\section{Methods}{
  \describe{
    \item{getAttributes:}{Do a query and return all.}
    \item{getBox:}{Returns the bounding box.}
    \item{getData:}{Returns all attributes and geometry of a layer.}
    \item{getGeometry:}{Returns all the geometry associated with the object.}
    \item{initialize:}{Initializer of aRTtheme class.}
    \item{setVisual:}{Sets the colors associated to a theme's geometry.}
	\item{setVisible:}{Changes the visibility of a theme (visible or not).}
  }
}

\references{\url{http://www.est.ufpr.br/aRT}}

\author{Marcos Aurelio Carrero and Pedro Ribeiro de Andrade Neto}
\keyword{database}
\seealso{
 See \code{aRTtheme-METHOD} for a method of this class or \code{CLASSNAME-class} for links to other classes.
}
% vim: syntax=tex
