\name{aRTvisual}

\docType{class}

\alias{aRTvisual}
\alias{aRTvisual-class}
\alias{show,aRTvisual-method}
\alias{initialize,aRTvisual-method}

\title{Class "aRTvisual"}
\description{Class that contains configuration about the visual of a theme. Some
attributes are used for specific geometries. The attribute names are the same of TerraLib
objects, if you want to use R nomenclature, visual\{Points, Lines, Polygons\} are
mostly recommended.}

\section{Objects from the Class}{
\code{new("aRTvisual", color="blue")}
}

\section{Slots}{
  \describe{
    \item{\code{color}}{internal color of the elements, or a vector of colors of a raster.}
	\item{\code{ccolor}}{the contour color.}
	\item{\code{style}}{the style of the drawing. It depends on the geometry.}
	\item{\code{transp}}{the transparency factor of the color, a integer between 0 and 100.}
	\item{\code{ctransp}}{the transparency factor of ccolor.}
	\item{\code{cwidth}}{the contour width.}
	\item{\code{width}}{width of the line.}
	\item{\code{size}}{the size of the object to be drawn.} 
  }
}

\section{Point styles}{
\describe{
  \item{0}{aa}
  \item{1}{aa}
}}

\section{Line styles}{
\describe{
  \item{0}{aa}
  \item{1}{aa}
}}

\section{Polygon styles}{
\describe{
  \item{0}{aa}
  \item{1}{aa}
}}

}

\references{\url{http://www.est.ufpr.br/aRT}}
\author{Pedro Ribeiro de Andrade Neto}
\keyword{classes}
\seealso{
 See \code{aRTvisual-METHOD} for a method of this class or \code{CLASSNAME-class} for links to other classes.
}

% vim: syntax=tex
