# Exemplo de calculo de metricas espaciais
# utiliza o conjunto de dados catarina
#
# (C) 2005 LEG

require(aRT)
con<-openConn()

if(any(showDbs(con)=="catarina")) deleteDb(con, "catarina", force=T)

db<-createDb(con,"catarina")

data(catarina)
catarina$id= c(paste(1:297))

l<-createLayer(db, "cities")
addPolygons(l, catarina)

table=createTable(l,"cities")

getGeometry(l)->ldata

plot(ldata, col="gray", lty=0)

getMetric(l, "c")->center
getMetric(l, "h")->hull
getMetric(l, "a")->area

# polgonos cuja area for maior que 1.000.000.000
ids = area$id[which(area$area > 10^9)]

plot(ldata, id=ids, col="#FF5050", lty=0, add=T)

plot(hull, id=ids, lty=2, add=T)
plot(center, id=ids, col="blue", pch=20, add=T)

